function y = c_shift(x, n)
% C_SHIFT moves the last n components of the vector x 
% into the first n component places and shifts the 
% remaining components of x to follow those n components, 
% i.e this is a circular shift.  Note: x must be a row vector
%
len= length(x);
y = [x(len-n+1 : end), x(1:len-n)];
