% directivity_script
u = linspace(0, 10, 1000);
u = u + eps*(u ==0);
dir =besselj(1, u)./u;   
plot(u, abs(dir))          % examine the directivity function J1(u)/u
ind = min(find(dir <=0.25));  
arg =u(ind);       % find smallest value of u= kasin(theta) where amplitude is < 6 dB
a =6.35;            % radius (mm)
f =input( 'give frequency in MHz   ');
c=1480;             % wave speed (m/sec)
ka=2000*pi*f*a/c;
theta = asin(arg/ka)*180/pi  % solve for theta (deg) at 6 dB point
