% onaxis_focused_script
clear
z= linspace(10, 200, 500);  % set up z-values well beyond geometrical focus
f= input(' frequency (MHz) =  ');
a= 6.35;                    % radius (mm)
R = 101.6;                  % geometrical focal length (mm)
c=1480;                     % wave speed (m/sec)
p= onaxis_focused(z, f, a, R, c);   % compute on-axis pressure
pm =max(abs(p));                    % find value of max pressure
ind =find(abs(p) == pm);            
zgeom = R
ztrue =z(ind)                       %z(ind) is where max pressure is located 