function  display_setup(setup)
% DISPLAY_SETUP displays all the parameters contained in a
% setup structure. The name of the structure that is input to this
% function is arbitary, but the setup parameters are always referred
% to as setup.f, setup.type1, etc. The calling sequence is:
% display_setup(setup)
disp(' ')
[nr, nc] = size(setup.f);
if nr == 1 & nc == 1    
    s1= ['setup.f = '  num2str(setup.f) ];
 else
    s1 =['setup.f = ' '[' num2str(nr) 'x' num2str(nc) ' double]'];
    end
disp(s1)
s2 = [ 'setup.type1 = ' '''' setup.type1 ''''];
disp(s2)
s3 =[ 'setup.type2 = ' '''' setup.type2  ''''];
disp(s3)
disp(' ')
disp( 'setup.system =')
disp(setup.system)
disp('setup.trans =')
disp(setup.trans)
disp('setup.geom =')
disp(setup.geom)
disp('setup.matl =')
disp(setup.matl)
disp('setup.flaw =')
disp(setup.flaw)
disp('setup.wave =')
disp(setup.wave)