% script TG_sphere_example2
% calculates the waveform for a spherical void
% using an experimentally determined system function
clear
% run TG_sphere_example1 script to get system parameters
TG_sphere_example1
%specify use of experimentally determined system function
%and reference waveform
setup.system.sysf='exp_systf';
setup.system.ref_file ='sphere_ref';
%run measurement model
[Vout, setup] = TG_PE_MM(setup);
% plot(f, abs(Vout))  intermediate plot omitted
% pad frequency domain amplitude with zeros
Ve= [ Vout, zeros(1,800)];
%compute wave form and plot
vt =2*real(IFourierT(Ve, dt));
plot(t, vt)