function O= LTI_X(V, dt) 
[nr,nc] = size(V);
if nr == 1
	N = nc;
elseif nc == 1
	N = nr;
else
    error(' voltage must be a vector')
end
f =linspace(0, 1/dt, N);
Vf = N*dt*ifft(V);  % do fft of source
Vf= Vf.*(f < 1/(2*dt));  % remove negative frequencies
G = -2*pi*50*i*f./(200 - 2*pi*20*i*f);
Of= G.*Vf;
O =2*real((1/(N*dt))*fft(Of));