function p = onaxis_focused(z,f,a,R,c)
ka = 2000*pi*f*a./c;        % ka value
q =1 -z/R;                  % q0 value
zn = z/a;                   % normalized on-axis distance, z/a
p = (1./q).*(1 -exp(i*ka.*q./(2.*zn))); %on-axis normalized pressure
                                  % with exp(ikz) term removed