% sys_function_script
clear
d1 =1.0;
d2 = 7.86;
c1 = 1484;
c2 =5940;
D=50.8;
a =6.35;
e =0.03;
load('FBH_ref')
dt = t_ref(2) -t_ref(1);
Vf =FourierT(ref, dt);
Vc=Vf(1:200);
f =linspace(0, 1/(5*dt), 200);
alpha = (24.79E-06)*f.^2;
atten =exp(-2*D*alpha);
R12 =(d2*c2 -d1*c1)/(d2*c2 +d1*c1);
kp1a =2000*pi*a*f./c1;
r=a/(2*D);
x=r*kp1a;
ta=2*R12*atten.*(1 -exp(i*x).*(BesselJ(0,x) -i*BesselJ(1,x)));
s=Wiener_filter(Vc, ta, e);
plot(f, abs(s))
xlabel('frequency, MHz')
ylabel('s(f), volts/MHz')
