function [R,T] =pressure_coeffs(d1, d2, c1, c2, ang)
iang = (ang.*pi)./180;
sint =(c2/c1)*sin(iang);
cost = sqrt(1-sint.^2).*(sint <= 1) + i.*sqrt(sint.^2 -1).*(sint > 1);
R = ((c2*d2).*cos(iang) - (c1*d1).*cost)./ ...
((c2*d2).*cos(iang) + (c1*d1).*cost);
T = ((2*d2*c2).*cos(iang))./((c2*d2).*cos(iang) + (c1*d1).*cost);